<%
    server_key = server_id.split('-')[-1].rstrip('ab')

    if server_id.find('bdd-rep-') > -1:
        key = "R%s" % server_key
    elif server_id.find('bdd-qualif-') > -1:
        key = "Q%s" % server_key
    else:
        key = "X%s" % server_key

    if status == 'processing':
        xstatus = 'INPROGRESS'
    elif status == 'success':
        xstatus = 'OK'
    elif status == 'failure':
        xstatus = 'KO'
    else:
        xstatus = 'WARNING'

    data = json.dumps({'key':   'supervision:dashboardv2:backup:%s' % key,
                       'value': {'title': "%s - xtrargon-ng: %s" % (key, server_id),
                                 'status': xstatus,
                                 'kpis': duration,
                                 'hostname': _HOSTNAME_,
                                 'timestamp': _TIMESTAMP_,
                                 'uuid': uuid,
                                 'softname': _SOFTNAME_,
                                 'softver': _SOFTVER_,
                                 'details': _VARS_}})
%>
${data}
