#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import os
from setuptools import find_packages, setup

requirements = [line.strip() for line in open('requirements.txt', 'r').readlines()]
version      = '0.1.1'

if os.path.isfile('VERSION'):
    version = open('VERSION', 'r').readline().strip() or version

setup(
    name                = 'xtrargon-ng',
    version             = version,
    description         = 'xtrargon-ng',
    author              = 'Fjord Technologies',
    author_email        = 'contact@commandersact.com',
    license             = 'License GPL-2',
    url                 = 'https://www.commandersact.com',
    scripts             = ['bin/xtrargon-ng'],
    packages		= find_packages(),
    install_requires    = requirements
)
